## -*- Mode: CPerl -*-
##
## File: DTA::CAB::Analyzer::EqRW
## Author: Bryan Jurish <moocow@cpan.org>
## Description: phonetic equivalence class expansion: default

##==============================================================================
## Package
##==============================================================================
package DTA::CAB::Analyzer::EqRW;
use strict;

#use DTA::CAB::Analyzer::EqRW::FST;
#our @ISA = qw(DTA::CAB::Analyzer::EqRW::FST);
##--
#use DTA::CAB::Analyzer::EqRW::BDB;
#our @ISA = qw(DTA::CAB::Analyzer::EqRW::BDB);
##--
#use DTA::CAB::Analyzer::EqRW::CDB;
#our @ISA = qw(DTA::CAB::Analyzer::EqRW::CDB);
##--
use DTA::CAB::Analyzer::EqRW::JsonCDB;
our @ISA = qw(DTA::CAB::Analyzer::EqRW::JsonCDB);

1; ##-- be happy

__END__

##========================================================================
## POD DOCUMENTATION, auto-generated by podextract.perl, edited

##========================================================================
## NAME
=pod

=head1 NAME

DTA::CAB::Analyzer::EqRW - rewrite-equivalence class expander: default

=cut

##========================================================================
## SYNOPSIS
=pod

=head1 SYNOPSIS

 use DTA::CAB::Analyzer::EqRW;
 
 $eqprw = DTA::CAB::Analyzer::EqRW->new(%args);

=cut

##========================================================================
## DESCRIPTION
=pod

=head1 DESCRIPTION

Default rewrite-equivalence class expander.
Just a wrapper for L<DTA::CAB::Analyzer::EqRW::JsonCDB|DTA::CAB::Analyzer::EqRW::JsonCDB>.

=cut

##========================================================================
## END POD DOCUMENTATION, auto-generated by podextract.perl

##======================================================================
## Footer
##======================================================================

=pod

=head1 AUTHOR

Bryan Jurish E<lt>moocow@cpan.orgE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2009-2019 by Bryan Jurish

This package is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.24.1 or,
at your option, any later version of Perl 5 you may have available.

=head1 SEE ALSO

L<dta-cab-analyze.perl(1)|dta-cab-analyze.perl>,
L<DTA::CAB::Analyzer::EqRW::CDB(3pm)|DTA::CAB::Analyzer::EqRW::CDB>,
L<DTA::CAB::Analyzer(3pm)|DTA::CAB::Analyzer>,
L<DTA::CAB::Chain(3pm)|DTA::CAB::Chain>,
L<DTA::CAB(3pm)|DTA::CAB>,
L<perl(1)|perl>,
...

=cut

